Package ghidra.app.util.bin.format.swift.types

# Class ContextDescriptorKind

java.lang.Object
ghidra.app.util.bin.format.swift.types.ContextDescriptorKind

public class ContextDescriptorKind extends Object
Swift ContextDescriptorKind values

See Also:
  - swift/ABI/MetadataValues.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ANONYMOUS`
  This context descriptor represents an anonymous possibly-generic context such as a function body
  `static final int`
  `CLASS`
  This context descriptor represents a class
  `static final int`
  `ENUM`
  This context descriptor represents an enum
  `static final int`
  `EXTENSION`
  This context descriptor represents an extension
  `static final int`
  `MODULE`
  This context descriptor represents a module
  `static final int`
  `OPAQUE_TYPE`
  This context descriptor represents an opaque type alias
  `static final int`
  `PROTOCOL`
  This context descriptor represents a protocol context
  `static final int`
  `STRUCT`
  This context descriptor represents a struct
  `static final int`
  `TYPE_FIRST`
  First kind that represents a type of any sort
  `static final int`
  `TYPE_LAST`
  Last kind that represents a type of any sort

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextDescriptorKind()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getKind(int flags)`
  Gets the `ContextDescriptorKind` value from the `flags`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE

    public static final int MODULE
    This context descriptor represents a module
    See Also:
      - Constant Field Values

  - ### EXTENSION

    public static final int EXTENSION
    This context descriptor represents an extension
    See Also:
      - Constant Field Values

  - ### ANONYMOUS

    public static final int ANONYMOUS
    This context descriptor represents an anonymous possibly-generic context such as a function body
    See Also:
      - Constant Field Values

  - ### PROTOCOL

    public static final int PROTOCOL
    This context descriptor represents a protocol context
    See Also:
      - Constant Field Values

  - ### OPAQUE_TYPE

    public static final int OPAQUE_TYPE
    This context descriptor represents an opaque type alias
    See Also:
      - Constant Field Values

  - ### TYPE_FIRST

    public static final int TYPE_FIRST
    First kind that represents a type of any sort
    See Also:
      - Constant Field Values

  - ### CLASS

    public static final int CLASS
    This context descriptor represents a class
    See Also:
      - Constant Field Values

  - ### STRUCT

    public static final int STRUCT
    This context descriptor represents a struct
    See Also:
      - Constant Field Values

  - ### ENUM

    public static final int ENUM
    This context descriptor represents an enum
    See Also:
      - Constant Field Values

  - ### TYPE_LAST

    public static final int TYPE_LAST
    Last kind that represents a type of any sort
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContextDescriptorKind

    public ContextDescriptorKind()

- ## Method Details

  - ### getKind

    public static int getKind(int flags)
    Gets the `ContextDescriptorKind` value from the `flags`
    Parameters:
      `flags` - The `flags` that contain the kind
    Returns:
      The `ContextDescriptorKind` value